.parsley-required{
    color: red !important;
    font-weight: 900 !important;
}

ul {
    list-style-type: none;
    padding-left: 0;
    margin-left: 0;
}

.table thead th {
    padding: 0.3rem 0.35rem !important;
}
.table > :not(caption) > * > *{
    padding: 0.3rem 0.35rem !important;
}
strong{
    font-weight: 900;
}
.form-control-sm{
    padding: 0.25rem 0.45rem !important;
}
sup {
    color: red;
}
select.form-control{
background: #ffffff url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' stroke='currentColor' stroke-width='2' fill='none' stroke-linecap='round' stroke-linejoin='round' class='css-i6dzq1'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E") no-repeat right 0.2rem center/17px 15px !important;
}

.select2-container {
    z-index: 99999 !important ;
}

.parsley-errors-list{
    padding: 0px !important;
    margin: 0px !important;
    font-size: 12px !important;
}
.select2-container .select2-selection--single{
    height: 35px !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 32px;
}
.form-control-1{
    padding: 0.40rem 0.45rem !important;
}
.offcanvas-header
{
    padding: 10px 20px !important;
}
label{
    font-size: 13px !important;
}

/* ==== Padding Classes (pt, pr, pb, pl) ==== */
.pt-0 {padding-top:0!important;}
.pt-1 {padding-top:.25rem!important;}
.pt-2 {padding-top:.5rem!important;}
.pt-3 {padding-top:1rem!important;}
.pt-4 {padding-top:1.5rem!important;}
.pt-5 {padding-top:3rem!important;}

.pb-0 {padding-bottom:0!important;}
.pb-1 {padding-bottom:.25rem!important;}
.pb-2 {padding-bottom:.5rem!important;}
.pb-3 {padding-bottom:1rem!important;}
.pb-4 {padding-bottom:1.5rem!important;}
.pb-5 {padding-bottom:3rem!important;}

.pl-0 {padding-left:0!important;}
.pl-1 {padding-left:.25rem!important;}
.pl-2 {padding-left:.5rem!important;}
.pl-3 {padding-left:1rem!important;}
.pl-4 {padding-left:1.5rem!important;}
.pl-5 {padding-left:3rem!important;}

.pr-0 {padding-right:0!important;}
.pr-1 {padding-right:.25rem!important;}
.pr-2 {padding-right:.5rem!important;}
.pr-3 {padding-right:1rem!important;}
.pr-4 {padding-right:1.5rem!important;}
.pr-5 {padding-right:3rem!important;}

/* ==== Margin Classes (mt, mr, mb, ml) ==== */
.mt-0 {margin-top:0!important;}
.mt-1 {margin-top:.25rem!important;}
.mt-2 {margin-top:.5rem!important;}
.mt-3 {margin-top:1rem!important;}
.mt-4 {margin-top:1.5rem!important;}
.mt-5 {margin-top:3rem!important;}

.mb-0 {margin-bottom:0!important;}
.mb-1 {margin-bottom:.25rem!important;}
.mb-2 {margin-bottom:.5rem!important;}
.mb-3 {margin-bottom:1rem!important;}
.mb-4 {margin-bottom:1.5rem!important;}
.mb-5 {margin-bottom:3rem!important;}

.ml-0 {margin-left:0!important;}
.ml-1 {margin-left:.25rem!important;}
.ml-2 {margin-left:.5rem!important;}
.ml-3 {margin-left:1rem!important;}
.ml-4 {margin-left:1.5rem!important;}
.ml-5 {margin-left:3rem!important;}

.mr-0 {margin-right:0!important;}
.mr-1 {margin-right:.25rem!important;}
.mr-2 {margin-right:.5rem!important;}
.mr-3 {margin-right:1rem!important;}
.mr-4 {margin-right:1.5rem!important;}
.mr-5 {margin-right:3rem!important;}

.modal-header{
    padding: 10px 20px !important;
}
.form-control{
    padding: 0.40rem 0.55rem !important;
    font-size: 13px !important;
    font-weight: normal !important;
}
.swal2-container {
    z-index: 99999 !important; /* modal hamesha top me rahe */
}
div:where(.swal2-container) h2:where(.swal2-title){
    font-size: 1.2rem !important;
}
div:where(.swal2-container) div:where(.swal2-html-container){
    font-size: 0.9rem !important;
}
.swal2-styled {

    padding: 8px 20px !important;
    border-radius: 4px !important;
    font-size: 13px !important;
}
.swal2-actions{
    justify-content: space-around;
    width: 100% !important; border-top:1px solid silver !important;
    padding: 7px  !important;
}
div:where(.swal2-container) div:where(.swal2-popup){
    padding-bottom: 0px !important;
}
.btn {
    font-size: 14px !important;
}
.btn i{
    font-size: 14px !important;
}